//
// LineCrossingEventData.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct LineCrossingEventData: Codable {

    public var lineCross: LineCrossing
    public var detection: EventDetection
    public var attributes: LineCrossingAttributes?

    public init(lineCross: LineCrossing, detection: EventDetection, attributes: LineCrossingAttributes? = nil) {
        self.lineCross = lineCross
        self.detection = detection
        self.attributes = attributes
    }

    public enum CodingKeys: String, CodingKey { 
        case lineCross = "line_cross"
        case detection
        case attributes
    }

}
